use "RAI country data online version.dta"

*TABLE 1.4: POLYCHORIC FACTOR ANALYSIS FOR CHAPTER ONE*
polychoric n_instdepth n_policy n_fiscauto n_borrowauto n_rep n_lawmaking n_execcon n_fisccon n_borrowcon n_constit if year==2010

display r(sum_w)
*display number of observations, which is needed for factormat* 
matrix r=r(R)
*saves the correlation matrix*
factormat r, n(80) factors(1)
predict factor1
factormat r, n(80) factors(2)
*one-factor and two-factor solution and saves single-factor
rotate, promax
predict factorA factorB
*rotates and oblique and saves two factors
estat common    
*gives the correlation*

*CRONBACH'S ALPHA ANALYSIS
alpha n_instdepth n_policy n_fiscauto n_borrowauto n_rep n_lawmaking n_execcon n_fisccon n_borrowcon n_constit if year==2010, std g(alpha2010)


**NOTE: output deviates marginally from that reported in Table 1.4 because of minor corrections to the dataset since publication



